Catalog
Endpoints
Catalog endpoint reference.
GET
ids?stringComma-separated OpenMusicMetadata ids. Maximum 100 values and 10000 characters. Cannot be combined with isrc or upc.
Length
length <= 10000isrc?stringComma-separated song ISRC values, matched case-insensitively. Maximum 100 values and 10000 characters. Cannot be combined with ids or upc.
Length
length <= 10000upc?stringComma-separated album UPC values. Maximum 100 values and 10000 characters. Cannot be combined with ids or isrc.
Length
length <= 10000Resource list
application/json- response
data*array<||>curl -X GET 'https://api.vleer.app/metadata/v1/catalog?ids=omm%3Asong%3A0a1b2c3d4e5f6g7h%2Comm%3Aalbum%3A1a2b3c4d5e6f7g8h&isrc=USRC17607839&upc=602455878540'{ "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "song", "attributes": { "name": "string", "albumName": "string", "artistNames": [ "string" ], "isrc": "string", "artworkUrl": "string", "trackNumber": 1, "discNumber": 1, "genres": [ "string" ], "releaseDate": "string", "durationMs": 1 }, "relationships": { "albums": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "album", "attributes": { "name": "string", "trackCount": 0, "artistNames": [ "string" ], "artworkUrl": "string", "upc": "string", "label": "string", "genres": [ "string" ], "releaseDate": "string" }, "relationships": { "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } } ] }, "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } } ]}GET
id*stringOpenMusicMetadata id.
Match
^omm:(song|album|artist):[0-9a-z]{16}$Resource
application/json- response
data*||curl -X GET 'https://api.vleer.app/metadata/v1/catalog/omm:song:0a1b2c3d4e5f6g7h'{ "data": { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "song", "attributes": { "name": "string", "albumName": "string", "artistNames": [ "string" ], "isrc": "string", "artworkUrl": "string", "trackNumber": 1, "discNumber": 1, "genres": [ "string" ], "releaseDate": "string", "durationMs": 1 }, "relationships": { "albums": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "album", "attributes": { "name": "string", "trackCount": 0, "artistNames": [ "string" ], "artworkUrl": "string", "upc": "string", "label": "string", "genres": [ "string" ], "releaseDate": "string" }, "relationships": { "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } } ] }, "artists": { "data": [ { "id": "omm:song:0a1b2c3d4e5f6g7h", "type": "artist", "attributes": { "name": "string", "artworkUrl": "string", "genres": [ "string" ] } } ] } } }}